Bug 875308 (mate-menu-editor)

Summary: Review Request: mate-menu-editor - MATE Desktop menu editor
Product: [Fedora] Fedora Reporter: Dan Mashal <dan.mashal>
Component: Package ReviewAssignee: Wolfgang Ulbrich <chat-to-me>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cfeller, davidx, notting, package-review, rdieter
Target Milestone: ---Flags: chat-to-me: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-10 21:56:25 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 840149, 875313    
Bug Blocks:    
Attachments:
Description Flags
Spec file for mate-menu-editor v1.5.0 none

Comment 1 Dan Mashal 2012-11-10 05:58:21 EST
*** Bug 873961 has been marked as a duplicate of this bug. ***
Comment 2 leigh scott 2012-11-18 09:28:07 EST
What is upstream going to do with this package?, it is currently not possible to review as it's deps don't meet review criteria (unable to build on rawhide).
Comment 3 Dan Mashal 2012-11-19 10:40:56 EST
Will speak with upstream about this.
Comment 4 David Xie 2013-01-10 09:33:40 EST
Created attachment 676367 [details]
Spec file for mate-menu-editor v1.5.0
Comment 5 Rex Dieter 2013-01-11 19:16:56 EST
Update .spec/srpm links, and I can try to review this soon (hopefully this weekend)
Comment 6 Dan Mashal 2013-02-24 02:10:10 EST
UPDATED:

SPEC URL: http://vicodan.fedorapeople.org/matespec/mate-menu-editor.spec

SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-menu-editor-1.5.0-1.fc19.src.rpm

Description: MATE Desktop menu editor
Comment 7 Dan Mashal 2013-03-13 18:33:44 EDT
Wolfgang you can take this if you would like, per our IRC conversation.
Comment 8 Wolfgang Ulbrich 2013-03-15 10:05:07 EDT
1) Package contains BR: python2-devel or python3-devel
  See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Simply add BR python2-devel to solve this.

2) update-desktop-database is invoked when required
  Note: desktop file(s) in mate-menu-editor
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

No need to update mime-database, mozo doesn't install any XML file in %{_datadir}/mime/packages  
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

Change rpm scriptlets to:
%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

3) We don't need to add '--add-category="X-Mate"'in desktop files since MATE is registered for 'OnlyShowIn' in desktop-file-utils package > 0.19.
see
https://bugs.freedesktop.org/show_bug.cgi?id=52493
https://bugs.freedesktop.org/show_bug.cgi?id=44353

This affected all Mate packages!
Removing category 'Mate' is already done in upstream and include in latest version.
https://github.com/mate-desktop/mate-menu-editor/commit/7a60493ade21bbd92ea6af2b1b1ffba2c0942fcf
Pls remove desktop-file-install part and add
%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mozo.desktop

4) Pls own directories and change to
%{_datadir}/mozo/
%{python_sitelib}/Mozo/

I'm not really shure in this point if mozo wouldn't taken ownwership of %{_datadir} and %{python_sitelib} too. I will ask Rex.

The rest looks good except rpmlint incorrect-fsf-address error, which we can ignore here in fedora.
Pls upload new SPECS and SRPMS links for final review.
Comment 9 Wolfgang Ulbrich 2013-03-15 10:20:56 EDT
Dan, i talked with Rex.
I'm right in point 4.
So change this too.
Comment 10 Dan Mashal 2013-03-15 10:49:59 EDT
Thanks, will reply over the weekend.
Comment 11 Dan Mashal 2013-03-18 19:25:42 EDT
Updated:

SPEC URL: http://vicodan.fedorapeople.org/matespec/mate-menu-editor.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-menu-editor-1.5.0-2.fc20.src.rpm

In regards to 4 the dirs are owned without the trailing slash.
Comment 12 Dan Mashal 2013-03-18 19:36:20 EDT
Pull request sent upstream for FSF address:
https://github.com/mate-desktop/mate-menu-editor/pull/4
Comment 13 Wolfgang Ulbrich 2013-03-19 13:48:00 EDT
APPROVED !

Pls, correct icon-cache spriplets before you upload to git.
check for &> /dev/null or &>/dev/null in guidelines
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

fedora-review tool displayed an error (issues) because no MimeType key is in desktop file.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in mate-menu-editor
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/rave/875308-mate-menu-
     editor/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in mate-menu-editor
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-menu-editor-1.5.0-2.fc20.noarch.rpm
mate-menu-editor.noarch: E: incorrect-fsf-address /usr/share/doc/mate-menu-editor-1.5.0/COPYING
mate-menu-editor.noarch: W: no-manual-page-for-binary mozo
1 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-menu-editor
mate-menu-editor.noarch: E: incorrect-fsf-address /usr/share/doc/mate-menu-editor-1.5.0/COPYING
mate-menu-editor.noarch: W: no-manual-page-for-binary mozo
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-menu-editor (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2.7
    mate-desktop
    python(abi)



Provides
--------
mate-menu-editor:
    mate-menu-editor



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-menu-editor-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : c80b22a9277787a06b69048fab202aefd39fc88e9269dcfbd4e5e5bc740b51e4
  CHECKSUM(SHA256) upstream package : c80b22a9277787a06b69048fab202aefd39fc88e9269dcfbd4e5e5bc740b51e4


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -b 875308 -m fedora-rawhide-x86_64
Comment 14 Dan Mashal 2013-03-20 05:54:48 EDT
New Package SCM Request
=======================
Package Name: mate-menu-editor
Short Description: MATE Desktop menu editor
Owners: vicodan rdieter davidx raveit65
Branches: f17 f18 f19
Comment 15 Jon Ciesla 2013-03-20 08:20:26 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-03-20 21:45:43 EDT
mate-menu-editor-1.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-menu-editor-1.5.0-2.fc18
Comment 17 Fedora Update System 2013-03-20 21:58:34 EDT
mate-menu-editor-1.5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-menu-editor-1.5.0-2.fc17
Comment 18 Fedora Update System 2013-03-21 20:04:39 EDT
mate-menu-editor-1.5.0-2.fc17 has been pushed to the Fedora 17 testing repository.